Package org.w3._1999.xhtml

# Class Block

java.lang.Object
org.w3._1999.xhtml.Block

Direct Known Subclasses:
  `Blockquote`, `Body`, `Noscript`

public class Block extends Object
<p>Java class for Block complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="Block"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <choice maxOccurs="unbounded" minOccurs="0"> <group ref="{http://www.w3.org/1999/xhtml}block"/> <element ref="{http://www.w3.org/1999/xhtml}form"/> <group ref="{http://www.w3.org/1999/xhtml}misc"/> </choice> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Object>`
  `pOrH1OrH2`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Block()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getPOrH1OrH2()`
  Gets the value of the pOrH1OrH2 property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### pOrH1OrH2

    protected List<Object> pOrH1OrH2

- ## Constructor Details

  - ### Block

    public Block()

- ## Method Details

  - ### getPOrH1OrH2

    public List<Object> getPOrH1OrH2()
    Gets the value of the pOrH1OrH2 property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the pOrH1OrH2 property.

    For example, to add a new item, do as follows:

         getPOrH1OrH2().add(newItem);

    Objects of the following type(s) are allowed in the list `Address` `Blockquote` `Del` `Div` `Dl` `Fieldset` `Form` `H1` `H2` `H3` `H4` `H5` `H6` `Hr` `Ins` `Noscript` `Ol` `P` `Pre` `Script` `Table` `Ul`

    Returns:
      The value of the pOrH1OrH2 property.